// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define TestTrace_Classes_RunnableComponent_BODY

/************************************************************
 RunnableComponent class body
 ************************************************************/

// include associated header file
#include "TestTrace/Classes/RunnableComponent.h"

// Derived includes directives
#include "sysinterfaces/IStart.h"

// Derived using namespaces
using namespace sysinterfaces;
namespace TestTrace {
namespace Classes {

// static attributes (if any)

/**
 * 
 */
void RunnableComponent::run() {
	for (unsigned int i = 0; i < 10; i++) {
		sleep(3);
	}
}

} // of namespace Classes
} // of namespace TestTrace

/************************************************************
 End of RunnableComponent class body
 ************************************************************/
